Package com.sun.mail.pop3

# Class POP3SSLStore

java.lang.Object
javax.mail.Service
javax.mail.Store
com.sun.mail.pop3.POP3Store
com.sun.mail.pop3.POP3SSLStore

All Implemented Interfaces:
  `AutoCloseable`

public class POP3SSLStore extends POP3Store
A POP3 Message Store using SSL. Contains only one folder, "INBOX".

Author:
  Bill Shannon

## Field Summary

### Fields inherited from class javax.mail.Service

`debug, session, url`

## Constructor Summary

Constructors
Constructor
Description
`POP3SSLStore(Session session, URLName url)`

## Method Summary

### Methods inherited from class com.sun.mail.pop3.POP3Store

`capabilities, close, finalize, getDefaultFolder, getFolder, getFolder, isConnected, isSSL, protocolConnect`

### Methods inherited from class javax.mail.Store

`addFolderListener, addStoreListener, getPersonalNamespaces, getSharedNamespaces, getUserNamespaces, notifyFolderListeners, notifyFolderRenamedListeners, notifyStoreListeners, removeFolderListener, removeStoreListener`

### Methods inherited from class javax.mail.Service

`addConnectionListener, connect, connect, connect, connect, getURLName, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### POP3SSLStore

public POP3SSLStore(Session session, URLName url)